# _AC_FUNC_FREE_NULL_IF(IF-WORKS, IF-NOT)
# ------------------------------------
# If `free (0)' properly handled, run IF-WORKS, otherwise, IF-NOT.
AC_DEFUN([_AC_FUNC_FREE_NULL_IF],
[AC_REQUIRE([AC_HEADER_STDC])dnl
AC_CHECK_HEADERS(stdlib.h)
AC_CACHE_CHECK([for GNU libc compatible free], ac_cv_func_free_null,
[AC_RUN_IFELSE(
[AC_LANG_PROGRAM(
[[#if STDC_HEADERS || HAVE_STDLIB_H
# include <stdlib.h>
#else
void free ();
#endif
]],
                 [free((void *)0);])],
               [ac_cv_func_free_null=yes],
               [ac_cv_func_free_null=no],
               [ac_cv_func_free_null=no])])
AS_IF([test $ac_cv_func_free_null = yes], [$1], [$2])
])# AC_FUNC_FREE_NULL
 
 
# AC_FUNC_FREE_NULL
# --------------
# Report whether `free (0)' properly handled, and replace free if
# needed.
AN_FUNCTION([free], [AC_FUNC_FREE_NULL])
AC_DEFUN([AC_FUNC_FREE_NULL],
[_AC_FUNC_FREE_NULL_IF(
  [AC_DEFINE([HAVE_FREE], 1,
             [Define to 1 if your system has a GNU libc compatible `free'
              function, and to 0 otherwise.])],
  [AC_DEFINE([HAVE_FREE], 0)
   AC_LIBOBJ([free])
   AC_DEFINE([free], [rpl_free],
      [Define to rpl_free if the replacement function should be used.])])
])# AC_FUNC_FREE_NULL

 
