/*
 ******************************************************************************
 *
 * This file is a part of the IBIS ICM Parser.
 * Copyright (C) 2003-2005 Kelly C. Green <kgreen22@mindspring.com>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 ******************************************************************************
 *
 * $URL: file:///home/kgreen/ibis-svn-root/icmchk/trunk/src/free.c $
 *
 * $Id: free.c 105 2005-02-24 04:47:18Z kgreen $
 *
 ******************************************************************************
 */

#if ! (defined(__GNUC__) || defined(__attribute__))
#define __attribute__(a) /* a */
#endif

static char *SVNID __attribute__((unused)) = "$Id: free.c 105 2005-02-24 04:47:18Z kgreen $";

#include <includes.h>

#if !HAVE_FREE

#undef free
void *free PROTO((void *ptr));

/*
 * This is a replacement function for broken free implementations.
 *
 * Free must disregard NULL pointers.
 */

void *
rpl_free (void *ptr)
{
  if (ptr) free(ptr);
  return;
}

#endif
