/*
 ******************************************************************************
 *
 * This file is a part of the IBIS ICM Parser.
 * Copyright (C) 2003-2005 Kelly C. Green <kgreen22@mindspring.com>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 ******************************************************************************
 *
 * $URL: file:///home/kgreen/ibis-svn-root/icmchk/trunk/src/malloc.c $
 *
 * $Id: malloc.c 105 2005-02-24 04:47:18Z kgreen $
 *
 ******************************************************************************
 */

#if ! (defined(__GNUC__) || defined(__attribute__))
#define __attribute__(a) /* a */
#endif

static char *SVNID __attribute__((unused)) = "$Id: malloc.c 105 2005-02-24 04:47:18Z kgreen $";

#include <includes.h>

#if !HAVE_MALLOC

#undef malloc
void *malloc PROTO((size_t n));

/*
 * This is a replacement function for broken malloc implementations.
 *
 * If N is zero, allocate a 1-byte block,
 * returning a valid pointer.
 */

void *
rpl_malloc (size_t n)
{
  if (n == 0) {
    return malloc(1);
  } else {
    return malloc(n);
  }
}

#endif
